# debuginfo not supported with Go
%global debug_package %{nil}

%global golang_version 1.6.3

%global builddir _build/src

Name:           applydockerignore
Version:        v0.3
Release:        37%{?dist}
Summary:        A small utility program to apply a dockerignore on a path.

License:        Apache2.0
URL:            https://github.com/rnc/applydockerignore
#The source should be with a git commit:
Source0:        %{name}-%{version}.tar.gz
Source1:        vendor.tar.gz

BuildRequires: golang >= %{golang_version}

%description
This is a small utility program to apply a dockerignore on a path.
.dockerignore files are documented https://docs.docker.com/engine/reference/builder/.
As they use GOs filepath.Match rules it is not possible to apply simple bash filter to the dockerignore file.

The use case is where the repository is ADDed via a tar file to the docker image temporary directory rather than being processed normally.
This program can then be used to post-process that unpacked tar prior to it being manipulated inside the image.

%prep
%setup
%setup -D -a 1 -n %{name}-%{version} vendor.tar.gz

%build
mkdir -p %{builddir}/%{name}
mv *.go vendor %{builddir}/%{name}
pushd _build
export GOPATH=${PWD}:%{gopath}
export GO111MODULE=off
go install -ldflags '-X main.Version=%{version}' %{name}
popd

%install
mkdir -p %{buildroot}/usr/bin
cp _build/bin/applydockerignore %{buildroot}/usr/bin

%clean
rm -rf %{buildroot}

%files
/usr/bin/applydockerignore
